Subject: Re: [PATCH 6/8] receive-pack.c: add a receive.preferatomicpush configuration variable

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Oct 2014 13:11:22 -0700

Ronnie Sahlberg <[email-masked]> writes:

> Add receive.preferatomicpush setting to receive-pack.c. This triggers
> a new capability "prefer-atomic-push" to be sent back to the send-pack
> client, requesting the client, if it supports it, to request
> an atomic push.

I can understand a configuration that says "We take only atomics
when a push tries to update more than one", but this one is iffy.

If the receiver accepts non-atomic from older send-pack, those with
newer send-pack should have a way to say "the receiving end may
prefer atomic, but I choose not to."  Is there a way to do so?

And if there is such a way, what value does the preference add to
the user experience and the server's operation?